weka.classifiers.meta.simpleVotingLikeCombiners

## Class BoundaryCombiner

- java.lang.Object
- - weka.classifiers.meta.simpleVotingLikeCombiners.OutputCombinerBase
  - - weka.classifiers.meta.simpleVotingLikeCombiners.BoundaryCombiner

- All Implemented Interfaces:
    Serializable, weka.classifiers.meta.simpleVotingLikeCombiners.OutputCombiner, weka.core.OptionHandler, weka.core.RevisionHandler

      public class BoundaryCombiner
      extends weka.classifiers.meta.simpleVotingLikeCombiners.OutputCombinerBase

  Author:
    pawel
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundaryCombiner()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `boundaryCombinerTipText()`
    `DecisionBoundaryCombiner` | `getBoundaryCombiner()`
    `double` | `getClass(weka.classifiers.IteratedSingleClassifierEnhancer arg0, weka.core.Instance arg1)`
    `double` | `getClass(weka.classifiers.MultipleClassifiersCombiner arg0, weka.core.Instance arg1)`
    `double[]` | `getDistributionForInstance(weka.classifiers.IteratedSingleClassifierEnhancer arg0, weka.core.Instance arg1)`
    `double[]` | `getDistributionForInstance(weka.classifiers.MultipleClassifiersCombiner arg0, weka.core.Instance arg1)`
    `String[]` | `getOptions()`
    `String` | `getRevision()`
    `Enumeration<weka.core.Option>` | `listOptions()`
    `void` | `setBoundaryCombiner(DecisionBoundaryCombiner boundaryCombiner)`
    `void` | `setOptions(String[] options)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundaryCombiner

          public BoundaryCombiner()

  - ### Method Detail

    - #### getClass

          public double getClass(weka.classifiers.IteratedSingleClassifierEnhancer arg0,
                                 weka.core.Instance arg1)
                          throws Exception

      Throws:
        `Exception`

    - #### getDistributionForInstance

          public double[] getDistributionForInstance(weka.classifiers.IteratedSingleClassifierEnhancer arg0,
                                                     weka.core.Instance arg1)
                                              throws Exception

      Throws:
        `Exception`

    - #### getRevision

          public String getRevision()

    - #### listOptions

          public Enumeration<weka.core.Option> listOptions()

    - #### setOptions

          public void setOptions(String[] options)
                          throws Exception

      Throws:
        `Exception`

    - #### getOptions

          public String[] getOptions()

    - #### getBoundaryCombiner

          public DecisionBoundaryCombiner getBoundaryCombiner()

      Returns:
        the boundaryCombiner

    - #### boundaryCombinerTipText

          public String boundaryCombinerTipText()

    - #### setBoundaryCombiner

          public void setBoundaryCombiner(DecisionBoundaryCombiner boundaryCombiner)

      Parameters:
        `boundaryCombiner` - the boundaryCombiner to set

    - #### getClass

          public double getClass(weka.classifiers.MultipleClassifiersCombiner arg0,
                                 weka.core.Instance arg1)
                          throws Exception

      Throws:
        `Exception`

    - #### getDistributionForInstance

          public double[] getDistributionForInstance(weka.classifiers.MultipleClassifiersCombiner arg0,
                                                     weka.core.Instance arg1)
                                              throws Exception

      Throws:
        `Exception`

Copyright © 2019. All Rights Reserved.